
function [dst]=WarpGlobal(src, dst,M)
%     // Check that dst is of a valid shape
    if (isempty(dst))
        dst=zeros(size(src));
    end
    

%     // Allocate a row buffer for coordinates
    
    height=size(dst,1);
    width=size(dst,2);
   
     
    [X,Y]=meshgrid(1:width,1:height);

    Pos=[X(:)'; Y(:)'; ones(size(X(:)'))];
    NewPos=M*Pos;
    newX=NewPos(1,:);
    newY=NewPos(2,:);
    nBands=size(dst,3);
    for j=1:nBands
        dst(:,:,j)=reshape(interp2(src(:,:,j),newX,newY),[size(dst,1) size(dst,2)]);
    end

    x=dst(:);
    x(isnan(x))=0;
    dst=reshape(x,size(dst));