% /******************* TO DO *********************
% * alignPair:
% INPUT
%  locs1,locs2: the feature locations for two images, stored in arrays of
%               size n1-by-2 and n2-by-2 respectively
%  match_idx: indices of matching features from the two sets, stored in an
%             array of size m-by-2, where m is the number of matches
%  nRANSAC: number of RANSAC iterations
%  RANSACthresh: RANSAC distance threshold
% 
% OUTPUT
%  M: a 3-by-3 transformation matrix specifying the estimated translation
%     between the two feature sets
% 
% This function takes in two sets of features and indices specifying
% matching feature pairs, and uses RANSAC to compute a translation between
% the two feature sets in a way that is robust to outliers.  At each
% iteration of RANSAC, you should pick a match at random and compute the
% translation determined by this match alone.  You should then call
% countInliers to count the number of matches that support this translation.
% 
% At the end, you should call leastSquaresFit to refit a translation to the
% largest set of inliers found in any RANSAC iteration.
% 
% (Interesting note: because a translation is determined by just a single
% match, another reasonable approach is to simply try all of them, rather
% than sampling randomly.)
% */

function [M]=alignPair(locs1,locs2,match_idx, nRANSAC, RANSACthresh)
M=zeros(3,3);
%// BEGIN TODO
%// write this entire method


%// END TODO

%return 0;
