% /******************* TO DO *********************
% * leastSquaresFit:
% INPUT
%  locs1,locs2: the feature locations for two images
%  match_idx: indices of matching features from the two sets
%  inliers: a k-by-1 array of inliers (indices into match_idx)
% 
% OUTPUT
%  M: a 3-by-3 matrix specifying the optimal translation between the two
%     feature sets, in a least squares sense
% 
% This function takes in the locations of two sets of features, the indices
% of pairs of matching features, and an array specifying which of these
% matches are inliers.  From this, it computes the translation that best
% maps the first feature set onto the second (using only the inliers), in a
% least squares sense.  It returns this translation in the form of a 3-by-3
% transformation matrix.
% */



function [M]=leastSquaresFit(locs1,locs2,match_idx,inliers)
%     // for project 3b, the transformation is a translation and
%     // only has two degrees of freedom
%     //
%     // therefore, we simply compute the average translation vector
%     // between the feature in f1 and its match in f2 for all inliers
    u = 0;
    v = 0;

    for i=1:size(inliers,1)
        xTrans=0;
        yTrans=0;

%         // BEGIN TODO
%         // compute the translation implied by the ith inlier match
%         // and store it in (xTrans,yTrans)


%         // END TODO

        u = u+xTrans;
        v = v+yTrans;
    end

    u = u/size(inliers,1);
    v = v/size(inliers,1);

    M=eye(3);
    M(1,3)=u;
    M(2,3)=v;
    
    


